aboutsummaryrefslogtreecommitdiffstats
path: root/community/py3-zope-component/APKBUILD
blob: 72e4e9c6596de816e0c6b821c8735b9d465960aa (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
pkgname=py3-zope-component
_pyname=zope.component
pkgver=5.0.1
pkgrel=1
pkgdesc="Zope Component Architecture"
# Tests install outside python modules via bdist_wheel which fails
options="!check"
url="https://pypi.python.org/pypi/zope.component"
arch="noarch"
license="ZPL-2.1"
depends="
	py3-setuptools
	py3-zope-deferredimport
	py3-zope-deprecation
	py3-zope-event
	py3-zope-hookable
	py3-zope-interface
	"
checkdepends="python3-dev libffi-dev" # Required because pypi downloads dependencies for testing
source="$_pyname-$pkgver.tar.gz::https://github.com/zopefoundation/zope.component/archive/$pkgver.tar.gz"
builddir="$srcdir"/$_pyname-$pkgver

replaces="py-zope-component" # Backwards compatibility
provides="py-zope-component=$pkgver-r$pkgrel" # Backwards compatibility

build() {
	python3 setup.py build
}

check() {
	python3 setup.py test
}

package() {
	python3 setup.py install --prefix=/usr --root="$pkgdir"
}

sha512sums="
af67167805c0f611c27d6e4b4fcfef2cc707c5b828a3298676e89630abcc70f262edb5e9ab2da15cb424375e29ab8a53a253bff3d91a85f761c1aa86dd0416ef  zope.component-5.0.1.tar.gz
"